Bug 990195 - Remove deprecated CLI "subscribe" commands
Remove deprecated CLI "subscribe" commands
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Carter Kozak
IDM QE LIST
: Reopened
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-07-30 10:38 EDT by Devan Goodwin
Modified: 2014-01-28 06:39 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-28 06:39:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2013-07-30 10:38:52 EDT
Description of problem:

The deprecated subscription-manager "subscribe" should be removed.

subscription-manager subscribe
subscription-manager unsubscribe
subscription-manager register --autosubscribe

Version-Release number of selected component (if applicable):

subscription-manager-0.8.3
Comment 2 Carter Kozak 2013-08-15 10:32:37 EDT
commit 1a9884877bf833225ea89bd7ff01ee51a5687ee7
Author: ckozak <ckozak@redhat.com>
Date:   Wed Aug 14 12:55:12 2013 -0400

    990195: remove subscribe options
Comment 3 Bryan Kearney 2013-09-03 14:22:18 EDT
This is available in 1.9.2
Comment 4 John Sefler 2013-09-05 16:52:58 EDT
The commit in comment 2 was reverted....

commit 9e0893737882da2fb25163696a0e14cf4b4c112b

    Revert "990195: remove subscribe options"
    
    This reverts commit 1a9884877bf833225ea89bd7ff01ee51a5687ee7.
    
    Add "subscribe" and "unsubscribe" commands back, at least
    till we get to the next major version.
Comment 5 Devan Goodwin 2013-09-06 15:04:34 EDT
Pushing to RHEL 7.0.

Note You need to log in before you can comment on or make changes to this bug.